跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

路徑參數

agent_name string 必要

The name of the agent to create a session for.

查詢參數

api-version string 必要

The API version to use for this operation.

要求本文

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref 必要

Version indicator determining which agent version backs the session.

下列其中一項:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum 必要

Discriminator value for version_ref.

version_ref
agent_version string 必要

The agent version identifier returned by the agent version APIs.

回覆

The request has succeeded and a new resource has been created as a result.

主體

Content-Type: application/json
agent_session_id string 必要

The session identifier.

version_indicator version_ref 必要

Version indicator determining which agent version backs the session.

下列其中一項:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum 必要

Discriminator value for version_ref.

version_ref
agent_version string 必要

The agent version identifier returned by the agent version APIs.

status string | enum 必要

The status of an agent session.

以下任何一項:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer 必要

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer 必要

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer 必要

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

回應

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026